- entry_type: ghost_instrumentation
  metadata:
    format_version: "2.1"
    uuid: 57a1368e-364f-44d8-90b1-b9f721d85b69
    creation_time: 2024-09-27T12:12:59Z
    producer:
      name: Goblint
      version: heads/yaml-witness-ghost-0-g852297b68-dirty
      command_line: '''./goblint'' ''--conf'' ''conf/svcomp-ghost.json'' ''--set''
        ''ana.base.privatization'' ''protection'' ''--set'' ''ana.autotune.activated[-]''
        ''octagon'' ''--sets'' ''ana.specification'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/properties/unreach-call.prp''
        ''--sets'' ''exp.architecture'' ''32bit'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-figure1.wvr.c'''
    task:
      input_files:
      - /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-figure1.wvr.c
      input_file_hashes:
        /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-figure1.wvr.c: 611602be63cf2d0baa947efd80226c155579158ab3e72558e2c6507fec5bab01
      data_model: ILP32
      language: C
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
  content:
    ghost_variables:
    - name: multithreaded
      scope: global
      type: int
      initial:
        value: "0"
        format: c_expression
    ghost_updates:
    - location:
        file_name: /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-figure1.wvr.c
        file_hash: 611602be63cf2d0baa947efd80226c155579158ab3e72558e2c6507fec5bab01
        line: 67
        column: 3
        function: main
      updates:
      - variable: multithreaded
        value: "1"
        format: c_expression
- entry_type: invariant_set
  metadata:
    format_version: "2.1"
    uuid: 9b4bdda8-03ad-42b8-a2fe-052583edfc1f
    creation_time: 2024-09-27T12:12:59Z
    producer:
      name: Goblint
      version: heads/yaml-witness-ghost-0-g852297b68-dirty
      command_line: '''./goblint'' ''--conf'' ''conf/svcomp-ghost.json'' ''--set''
        ''ana.base.privatization'' ''protection'' ''--set'' ''ana.autotune.activated[-]''
        ''octagon'' ''--sets'' ''ana.specification'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/properties/unreach-call.prp''
        ''--sets'' ''exp.architecture'' ''32bit'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-figure1.wvr.c'''
    task:
      input_files:
      - /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-figure1.wvr.c
      input_file_hashes:
        /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-figure1.wvr.c: 611602be63cf2d0baa947efd80226c155579158ab3e72558e2c6507fec5bab01
      data_model: ILP32
      language: C
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
  content:
  - invariant:
      type: location_invariant
      location:
        file_name: /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-figure1.wvr.c
        file_hash: 611602be63cf2d0baa947efd80226c155579158ab3e72558e2c6507fec5bab01
        line: 68
        column: 3
        function: main
      value: '! multithreaded || 0 <= counter'
      format: c_expression
  - invariant:
      type: location_invariant
      location:
        file_name: /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-figure1.wvr.c
        file_hash: 611602be63cf2d0baa947efd80226c155579158ab3e72558e2c6507fec5bab01
        line: 69
        column: 3
        function: main
      value: '! multithreaded || 0 <= counter'
      format: c_expression
